package com.example.notification;

import android.annotation.TargetApi;
import android.app.NotificationChannel;

import android.content.Intent;
import android.graphics.Color;
import android.media.RingtoneManager;
import android.os.IBinder;
import android.support.annotation.Nullable;
import android.support.v4.app.NotificationCompat;

import com.example.pharmacy.frontEnd.R;


/**
 * Created by pharmacy on 09/01/2018.
 */

public class SedentaryNotification extends Notification {

    @Override
    public int onStartCommand(Intent intent, int flags, int startId){
        return super.onStartCommand(intent, flags, startId);
    }


    @Nullable
    @Override
    public IBinder onBind(Intent intent) {
        return null;
    }


    protected NotificationCompat.Builder setParameters(NotificationCompat.Builder builder) {
        builder.setSmallIcon(android.R.drawable.btn_star);
        builder.setContentTitle(this.getClass().getSimpleName());
            builder.setContentText(preferences.getString(getString(R.string.daily_goal_text), getString(R.string.notf_text)));
            builder.setCategory(NotificationCompat.CATEGORY_ALARM);
            builder.mNotification.flags |= android.app.Notification.FLAG_AUTO_CANCEL;
            //SET VIBRATION PATTERN AND SOUND HERE
        if(preferences.getBoolean(getString(R.string.vibration), false)) {
            builder.setVibrate(new long[]{0, 500});
        } else {

        }
        if(preferences.getBoolean(getString(R.string.audio), false)){
            builder.setSound(RingtoneManager.getDefaultUri(RingtoneManager.TYPE_NOTIFICATION));
        }
        if(preferences.getBoolean(getString(R.string.led), false)){
            builder.mNotification.flags |= android.app.Notification.FLAG_SHOW_LIGHTS;
            builder.mNotification.ledARGB = Color.parseColor(preferences.getString(getString(R.string.led_colour), "RED"));
            builder.mNotification.ledOnMS = (preferences.getInt(getString(R.string.led_period), 1))*1000;
            builder.mNotification.ledOffMS = (preferences.getInt(getString(R.string.led_period), 1))*1000;
        }

                return builder;
    }


    @TargetApi(26)
    protected NotificationChannel setChannelParameters(NotificationChannel nc) {
        nc.setDescription(this.getClass().getName());
        if(preferences.getBoolean(getString(R.string.vibration), false)) {
            nc.enableVibration(preferences.getBoolean(getString(R.string.vibration), false));
        }
        if(preferences.getBoolean(getString(R.string.led), false)) {
            nc.enableLights(preferences.getBoolean(getString(R.string.led), false));
        }
        if(preferences.getBoolean(getString(R.string.audio), false)) {
            //Play empty sound for sound??
        }
        return nc;
    }
}
